{
    "version": "2.0.0",
    "tasks": [
        {
            "label": "Generate Code Coverage Report",
            "group": {
                "kind": "test",
                "isDefault": true
            },
            "command": "powershell",
            "type": "shell",
            "args": [
                "-Command",
                "& { dotnet test ./vb-migration/Strata.Base.Internal.Tests/Strata.Base.Internal.Tests.csproj /p:CollectCoverage=true /p:CoverletOutputFormat=cobertura /p:CoverletOutput=./vb-migration/Strata.Base.Internal.Tests/TestResults/*/coverage.cobertura.xml; if ($?) { reportgenerator -reports:./vb-migration/Strata.Base.Internal.Tests/TestResults/*/coverage.cobertura.xml -targetdir:coverage-report -reporttypes:Html; Start-Process coverage-report/index.html } }"
            ],
            "presentation": {
                "reveal": "always",
                "panel": "new"
            },
            "problemMatcher": []
        },
        {
            "label": "docker-build",
            "type": "shell",
            "command": "wsl",
            "args": [
                "docker",
                "build",
                "-t",
                "st-database",
                "./ef-migration/infrastructure/sql-server"
            ],
            "group": {
                "kind": "build",
                "isDefault": true
            },
            "presentation": {
                "reveal": "always",
                "panel": "shared"
            },
            "problemMatcher": []
        },
        {
            "label": "docker-run",
            "type": "shell",
            "command": "wsl",
            "args": [
                "docker",
                "run",
                "-d",
                "-p",
                "1433:1433",
                "--name",
                "st-db",
                "st-database"
            ],
            "group": "none",
            "presentation": {
                "reveal": "always",
                "panel": "shared"
            },
            "problemMatcher": []
        },
        {
            "label": "docker-stop",
            "type": "shell",
            "command": "wsl",
            "args": [
                "docker",
                "stop",
                "st-db"
            ],
            "group": "none",
            "presentation": {
                "reveal": "always",
                "panel": "shared"
            },
            "problemMatcher": []
        },
        {
            "label": "docker-remove",
            "type": "shell",
            "command": "wsl",
            "args": [
                "docker",
                "rm",
                "st-db"
            ],
            "group": "none",
            "presentation": {
                "reveal": "always",
                "panel": "shared"
            },
            "problemMatcher": []
        },
        {
            "label": "docker-logs",
            "type": "shell",
            "command": "wsl",
            "args": [
                "docker",
                "logs",
                "st-db"
            ],
            "group": "none",
            "presentation": {
                "reveal": "always",
                "panel": "shared"
            },
            "problemMatcher": []
        },
        {
            "label": "docker-status",
            "type": "shell",
            "command": "wsl",
            "args": [
                "docker",
                "ps",
                "-a",
                "--filter",
                "name=st-db",
                "--format",
                "\"{{.Names}} - {{.Status}}\""
            ],
            "group": "none",
            "presentation": {
                "reveal": "always",
                "panel": "shared"
            },
            "problemMatcher": []
        }
    ]
}